# Definitions
## Mass (within a sphere)
\[ M(< r) = 4 \pi \int_{0}^{r} r^{2} \rho \text{ dr} \]

## Gravitational potential
\[ \Phi(r) \equiv \frac{1}{m} \int_{\infty}^{r} F dr \]
\[ \Phi(r) = \frac{1}{m} \int_{\infty}^{r} \frac{G m M(< r)}{r^{2}} dr \]
\[ \Phi(r) = \int_{\infty}^{r} \frac{G M(< r)}{r^{2}} dr \]

## Circular Velocity
\[ \frac{m v_{circ}^{2}}{r} = \frac{G m M(< r)}{r^{2}} \]
\[ v_{circ} = \sqrt{\frac{G M(< r)}{r}} \]

# Derivations
## Point mass with mass M
Density profile (by definition):
\[ \rho = M \delta(r=0) \]
where \( \delta \) is the Dirac delta function.

Gravitational potential:
\[ \Phi(r) = \int_{\infty}^{r} \frac{G M}{r^{2}}dr = -GM \Big(\frac{1}{r} - \frac{1}{\infty} \Big) \]
\[ \Phi(r) = -\frac{GM}{r} \]

Circular velocity:
\[ v_{circ} = \sqrt{\frac{G M(< r)}{r}} \]
\[ v_{circ} = \sqrt{\frac{G M}{r}} \]

## Spherically symmetric Singular isothermal sphere with mass M, truncated at radius a
Circular velocity (by definition):
\[ v_{circ} = v_{H} \]

Cumulative mass (with r \(\leq\) a):
\[ v_{circ} = \sqrt{\frac{G M(< r)}{r}} \]
\[ M(< r) = \frac{v_{H}^{2} r}{G} \]
\( \text{if } r > a, M(< r) = \frac{v_{H}^{2} a}{G} \)

Density profile (with r \(\leq\) a):
\[ M(< r) = 4 \pi \int_{0}^{r} r^{2} \rho \text{ dr} \]
\[ \frac{dM(< r)}{dr} = 4 \pi r^{2} \rho \]
\[ \frac{v_{H}^{2}}{G} = 4 \pi r^{2} \rho \]
\[ \rho = \frac{v_{H}^{2}}{4 \pi G r^{2}} \]
\( \text{if } r > a, \rho = 0 \)

Gravitational potential (for r \(\leq\) a):
\[ \Phi(r) = \int_{\infty}^{r} \frac{G M(< r)}{r^{2}} dr \]
\[ \Phi(r) = \int_{\infty}^{a} \frac{G M(< r)}{r^{2}} dr + \int_{a}^{r} \frac{G M(< r)}{r^{2}} dr \]
\[ \Phi(r) = \int_{\infty}^{a} \frac{v_{H}^{2} a}{r^{2}} dr + \int_{a}^{r} \frac{v_{H}^{2} r}{r^{2}} dr \]
\[ \Phi(r) = v_{H}^{2} \left[ -a \left( \frac{1}{a} - \frac{1}{\infty} \right) + \Big( \ln(r) - \ln(a) \Big) \right] \]
\[ \Phi(r) = v_{H}^{2} \left[ \ln \left( \frac{r}{a} \right) - 1 \right] \]
\( \text{if } r > a, \Phi(r) = -\frac{G M(< r)}{r} = -\frac{v_{H}^{2} a}{r} \)

If instead one assumes the density profile (r \(\leq\) a) (Sparke & Gallagher p. 114)
\[ \rho = \frac{\rho_{0} r_{0}^{2}}{r^{2}} \]
\( \text{if } r > a, \rho = 0 \)

Then the cumulative mass (r \(\leq\) a) is:
\[ M(< r) = 4 \pi \int_{0}^{r} r^{2} \rho \text{ dr} \]
\[ M(< r) = 4 \pi \int_{0}^{r} r^{2} \frac{\rho_{0} r_{0}^{2}}{r^{2}} \text{ dr} \]
\[ M(< r) = 4 \pi \rho_{0} r_{0}^{2} r \]
\( \text{if } r > a, M(< r) = M \)

And hence the circular velocity is:
\[ v_{circ} = \sqrt{\frac{G M(< r)}{r}} \]
\[ v_{circ} = \sqrt{\frac{4 \pi G \rho_{0} r_{0}^{2} r}{r}} \]
\[ v_{circ} = 2 r_{0} \sqrt{\pi G \rho_{0}} \]

Thus \( v_{H} = 2 r_{0} \sqrt{\pi G \rho_{0}} \)

Solving for the constants \(\rho_{0} r_{0}^{2}\) (at r=a):
\[ M = 4 \pi \int_{0}^{a} r^{2} \frac{\rho_{0} r_{0}^{2}}{r^{2}} \text{ dr} \]
\[ M = 4 \pi a \rho_{0} r_{0}^{2} \]
\[ \rho_{0} r_{0}^{2} = \frac{M}{4 \pi a} \]

We can then also write (all for r \(\leq\) a):

\( \text{Density} = \frac{M}{4 \pi a r^{2}} \)

\( \text{Cumulative Mass (< r)} = M \frac{r}{a} \)

\( \text{Circular velocity} = \sqrt{\frac{G M}{a}} \)

## Constant density sphere with mass M, truncated at radius a
Density profile (by definition):
\[ \rho(r \leq a) = \rho_{0} = \frac{M}{\frac{4}{3} \pi a^{3}} \]
\[ \rho(r > a) = 0 \]

Cumulative mass (r \(\leq\) a):
\[ M(< r) = 4 \pi \int_{0}^{r} r^{2} \rho_{0} \text{ dr} \]
\[ M(< r) = \frac{4}{3} \pi r^{3} \rho_{0} \]
\[ M(< r) = \frac{r^{3}}{a^{3}} \]
\( \text{if } r > a, M(< r) = \frac{4}{3} \pi a^{3} \rho_{0} = M\)

Gravitational potential (for any r \(\leq\) a):
\[ \Phi(r) = \int_{\infty}^{r} \frac{G M(< r)}{r^{2}} dr = \int_{\infty}^{a} \frac{G M(< r)}{r^{2}} dr + \int_{a}^{r} \frac{G M(< r)}{r^{2}} dr \]
\[ \Phi(r) = \int_{\infty}^{a} \frac{\frac{4}{3} \pi G a^{3} \rho_{0}}{r^{2}} dr + \int_{a}^{r} \frac{\frac{4}{3} \pi G r^{3} \rho_{0}}{r^{2}} dr \]
\[ \Phi(r) = \frac{4}{3} \pi G \rho_{0} \left[ a^{3}\left(-\frac{1}{a} + \frac{1}{\infty} \right) + \left( \frac{r^{2}}{2} - \frac{a^{2}}{2} \right)  \right] \]
\[ \Phi(r) = \frac{4}{3} \pi G \rho_{0} \left[ -\frac{3}{2}a^{2} + \frac{r^{2}}{2}  \right] \]
\[ \Phi(r) = -2 \pi G \rho_{0} \left[ a^{2} - \frac{r^{2}}{3}  \right] \]
\[ \Phi(r) = -2 \pi G \rho_{0} \left[ a^{2} - \frac{r^{2}}{3}  \right] \]
\[ \Phi(r) = -\frac{3}{2} \frac{G M}{a} + \frac{1}{2} \frac{G M r^{2}}{a^{3}} \]
\( \text{if } r > a, \Phi(r) = -\frac{G M(< r)}{r} = -\frac{\frac{4}{3} \pi G \rho_{0} a^{3} }{r} \)

Circular velocity (for r \(\leq\) a):
\[ v_{circ} = \sqrt{\frac{G M(< r)}{r}} \]
\[ v_{circ} = \sqrt{\frac{\frac{4}{3} \pi G r^{3} \rho_{0}}{r}} \]
\[ v_{circ} = 2r \sqrt{\frac{\pi}{3} G \rho_{0}} \]
\[ v_{circ} = r \sqrt{\frac{GM}{a^{3}}} \]
\( \text{if } r > a, v_{circ} = 2a \sqrt{\frac{\frac{\pi}{3} G a \rho_{0}}{r}} \)